package com.lc.jdbc;

import org.junit.Test;

import java.sql.*;

/**
 * ClassName: TestJdbc
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/25 10:27
 * @Version 1.0
 */
public class TestJdbc1 {

     @Test
     public void test01() throws Exception {
         //加载驱动
         Class.forName("com.mysql.cj.jdbc.Driver");
         //建立连接
         String user = "root";
         String pass = "123456";
         String url = "jdbc:mysql://127.0.0.1:3306/db2?useSSL=false";
         //连接
         Connection connection = DriverManager.getConnection(url, user, pass);
         //sql执行对象
         Statement statement = connection.createStatement();
         //sql
         String sql = " select * from emp ";
         // 执行获取结果
         ResultSet resultSet = statement.executeQuery(sql);
         // 遍历
         while (resultSet.next()){
             String id = resultSet.getString("id");
             String ename = resultSet.getString("ename");
             String sal = resultSet.getString("salary");

             System.out.println("id："+id+"name："+ename+"sal："+sal);
         }

         //关闭
         resultSet.close();
         statement.close();
         connection.close();

     }
}
