package com.lc.jdbc1;

import org.junit.Test;

import java.util.Date;
import java.util.List;

/**
 * ClassName: Test01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/25 16:01
 * @Version 1.0
 */
public class Test01 {

    @Test
    public void test05() throws Exception {
        EmpDao empDao = new EmpDao();
        List<Emp> all = empDao.getAll();
        all.forEach(System.out::println);
    }

    @Test
    public void test04() throws Exception {
        EmpDao empDao = new EmpDao();
        Emp emp = empDao.get(1);
        System.out.println(emp);
    }

    @Test
    public void test03() throws Exception {
        EmpDao empDao = new EmpDao();
        boolean del = empDao.del(1001);
        if (del){
            System.out.println("成功");
        }else {
            System.out.println("失败");
        }
    }


    @Test
    public void test02() throws Exception {
        EmpDao empDao = new EmpDao();

        Emp emp = new Emp();
        emp.setId(1002);
        emp.setEname("fanfan");
        emp.setMgr(1);
        emp.setJoindate(new Date());
        emp.setSalary(12000);
        emp.setBonus(100);

        boolean add = empDao.update(emp);
        if (add){
            System.out.println("成功");
        }else {
            System.out.println("失败");
        }
    }


    @Test
    public void test01() throws Exception {
        EmpDao empDao = new EmpDao();

        Emp emp = new Emp();
        emp.setId(1);
        emp.setEname("kunkun");
        emp.setMgr(0);
        emp.setJoindate(new Date());
        emp.setSalary(10000);
        emp.setBonus(1000);

        boolean add = empDao.add(emp);
        if (add){
            System.out.println("成功");
        }else {
            System.out.println("失败");
        }
    }



}
