package com.lc.day07.exer;

import java.util.Arrays;

/**
 * ClassName: TestStudent
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/2 9:31
 * @Version 1.0
 */
public class TestStudent {

    public static void main(String[] args) {
        //对象
        TestStudent test = new TestStudent();

        //创建
        Student[] arr2Length = test.getArr2Length(20);

        //查看
        test.printArr(arr2Length);

        System.out.println("--------------------------");
        //根据 年级查看
        test.printArr2State(arr2Length, 3);

        System.out.println("--------------------------");
        //排序
        test.sort(arr2Length);
        test.printArr(arr2Length);

    }

    /*
    使用冒泡排序按学生成绩排序，并遍历所有学生信息
     */
    public void sort(Student[] arr){
        for (int i = 0; i < arr.length-1; i++) {
            for (int k = 0; k < arr.length-1-i; k++) {
                if ( arr[k].score > arr[k+1].score  ){ //成绩排序
                    Student temp = arr[k];
                    arr[k] =arr[k+1];
                    arr[k+1] = temp;
                }
            }
        }
    }

    /*
    根据传入的年级 打印的学生信息。
     */
    public void printArr2State(Student[] arr , int state ){
        for (int i = 0; i < arr.length; i++) {
            if ( arr[i].state == state){
                System.out.println(arr[i].getInfo());
            }
        }
    }
    /*
    打印的学生信息
     */
    public void printArr(Student[] arr ){
        for (int i = 0; i < arr.length; i++) {
            System.out.println(arr[i].getInfo());
        }
    }

    /*
        根据 参数 对象的个数 返回 对象数组
     */
    public Student[] getArr2Length( int len ){
        //创建数组
        Student[] students = new Student[len];

        //遍历 赋值
        for (int i = 0; i < students.length; i++) {
            //对象
            Student student = new Student();
            //赋值属性
            student.name ="zs"+(i+1);
            student.number = (i+1);
            student.state = (int)(Math.random()*3)+1;
            student.score = (int)(Math.random()*60)+40;
            //存储到数组
            students[i] = student;
        }

        return students;
    }

}
