package com.lc.day08.exer01;

/**
 * ClassName: CreditCard
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/9 15:47
 * @Version 1.0
 */
public class CreditCard extends DepositCard{

    //本月可透支总额度，本月已透支金额
    private double overMoney; //以透支

    private double money;  //额度

    @Override
    public void withdraw(double money) {
        //- 取款金额超过账户余额+本月还可透支额度，提示超过可透支额度
        double max = getBanlance() + this.money;
        if ( money > max ){
            System.out.println("超过可透支额度");
            return;
        }
        //- 取款金额在账户余额范围内，不用透支
        if ( money < getBanlance( ) ){
            //获取账户余额
            int banlance = getBanlance();
            //减去账户余额 重新赋值
            setBanlance((int)(banlance - money));  ;
        } else if ( money  > getBanlance()  &&  money < max  ){
            //- 取款金额超过账户余额但在可透支范围内，需要透支

            //额度 - money - 余额
            double v = money - getBanlance();
            //余额 = 0
            setBanlance(0);
            //透支
            overMoney = v;
        }
    }

    @Override
    public void save(double money) {
        //- 存款金额不能为负数，否则提示存款金额不能为负数
        if ( money < 0 ){
            System.out.println("金额不能为负数");
            return;
        }
        //- 本次存款金额只够偿还部分已透支金额
        if ( money < overMoney ){
            overMoney -= money;
        }
        //- 本次存款金额除了偿还透支金额，还有剩余
        if ( money > overMoney ){

            int c = getBanlance();
            setBanlance ((int) (money - overMoney + c)); ;

            overMoney = 0;
        }
    }


    public double getOverMoney() {
        return overMoney;
    }

    public void setOverMoney(double overMoney) {
        this.overMoney = overMoney;
    }

    public double getMoney() {
        return money;
    }

    public void setMoney(double money) {
        this.money = money;
    }


    @Override
    public String getInfo() {
        return "CreditCard{" +
                "overMoney=" + overMoney +
                ", money=" + money +
                '}' +"DepositCard{" +
                "account='" + getAccount() + '\'' +
                ", banlance=" + getBanlance() +
                '}';
    }
}
