package com.lc.day09.final01;

/**
 * ClassName: Test
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/17 15:15
 * @Version 1.0
 */
public class Test {

    public int finalMethod(final int x) {
        //return ++x; // ++ 改变自身
         return x + 1;  //那种会有问题 ？
    }

    public static void main(String[] args) {
        Other o = new Other();
        new Test().finalMethod(o);



        //
        System.out.println("-------------------------");


        //写法1：
        //final int c = 0;
        for (int i = 0; i < 10; i++) {
            //c = i;
            //System.out.println(c);
        }
        //写法2：
        for (int i = 0; i < 10; i++) {
            final int c = i; //每次都被重新定义
            System.out.println(c);
        }


        //
        System.out.println("-------------");
        Other other = new Other(); //0x1122
        finalMethod(other);
    }
    public static void finalMethod(final Other o) { // o = 0x1122 属性 改变
        // o = new Other(); // final 修饰的引用类型变量，不能重新赋值
        o.i++;
    }
}
class Other {
    public int i;
}