package com.lc.day09.static03;

/**
 * ClassName: Rectangle
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/17 10:56
 * @Version 1.0
 */
public class Rectangle extends Shape{

    double width;
    double height;

    public Rectangle() {
    }

    public Rectangle(double width, double height) {
        this.width = width;
        this.height = height;
    }

    @Override
    public double area() {

        return width*height;
    }

    @Override
    public double perimeter() {
        return (width+height)*2;
    }




    public double getWidth() {
        return width;
    }

    public void setWidth(double width) {
        this.width = width;
    }

    public double getHeight() {
        return height;
    }

    public void setHeight(double height) {
        this.height = height;
    }

    @Override
    public String toString() {
        return "width=" + width +
                ", height=" + height +
                ", perimeter=" + perimeter() +
                ", area=" + area() ;
    }
}
