package com.lc.day10.interface01;

/**
 * ClassName: PhoneInterface
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/24 15:40
 * @Version 1.0
 */
//手机接口
public interface PhoneInterface {

    //常量
    // 信号值
    public static final  int SIGNAL_VALUE = 60;

    //抽象方法
    //打电话
    public abstract void call();  // 默认  public abstract

    //挂断
    public abstract void hangup();

    //静态方法
    public static void staticMethod(){
        System.out.println("中国手机 越来越好");
    }

    //默认方法
    default void start(){
        //电量检查
        System.out.println("手机开机");
    }

    default void end(){
        //电量检查
        System.out.println("手机关机");
    }

    //私有方法  重复代码 抽取

    private void check(){
        System.out.println("电量检查");
    }

}
