package com.lc.day13.date05;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.LocalTime;
import java.time.Month;

/**
 * ClassName: Test01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/9 15:16
 * @Version 1.0
 */
public class Test01 {

    public static void main(String[] args) {
        // LocalDate  日期
        LocalDate localDate = LocalDate.now();
        System.out.println(localDate);
        
        // of
        LocalDate localDate1 = LocalDate.of(2023, 12, 31);
        System.out.println(localDate1);

        // LocalTime  时间
        LocalTime localTime = LocalTime.now();
        System.out.println(localTime);


        // LocalDateTime  日期时间
        LocalDateTime localDateTime = LocalDateTime.now();
        System.out.println(localDateTime);

        int year = localDateTime.getYear();
        int month = localDateTime.getMonthValue();
        int dayOfMonth = localDateTime.getDayOfMonth();
        System.out.println(year+"-"+month+"-"+dayOfMonth);

        //设置
        LocalDateTime localDateTime1 = localDateTime.withYear(2022).withMonth(12).withDayOfMonth(31);

        System.out.println(localDateTime1);

        //减
        LocalDateTime localDateTime2 = localDateTime.minusYears(1);
        System.out.println(localDateTime2);

        //加
        LocalDateTime localDateTime3 = localDateTime.plusYears(10);
        System.out.println(localDateTime3);

    }
}
