package com.lc.day15.list02;

import java.util.ArrayList;
import java.util.Comparator;
import java.util.List;
import java.util.function.UnaryOperator;

/**
 * ClassName: Test
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/11 10:32
 * @Version 1.0
 */
public class Test {
    public static void main(String[] args) {


        List<Student> ss = new ArrayList<>();

        ss.add(new Student(1,"张三", 20,66.0));
        ss.add(new Student(2,"坤坤", 22,86.2));
        ss.add(new Student(3,"凡凡", 18,96.0));
        ss.add(new Student(4,"李四", 26,95.0));
        ss.add(new Student(5,"韩梅梅", 17,16.0));
        ss.add(new Student(6,"李雷", 20,26.0));

        for (Student s : ss) {
            System.out.println(s);
        }

        //找出成绩最高的学院删除 ， 找出成绩最低的学员删除。
        //排序
        ss.sort(new Comparator<Student>() {
            @Override
            public int compare(Student o1, Student o2) {
                return o1.getScore().compareTo(o2.getScore());
            }
        });

        System.out.println("---------------");

        for (Student s : ss) {
            System.out.println(s);
        }

        //删除第一个  最后一个

        ss.remove(0);
        ss.remove(ss.size() - 1);

        System.out.println("---------------");

        for (Student s : ss) {
            System.out.println(s);
        }

        ss.replaceAll(new UnaryOperator<Student>() {
            @Override
            public Student apply(Student student) { //0x1122

                student.setScore(student.getScore()+10);

                if (student.getScore() > 100){
                    student.setScore(100.0);
                }
                return student;
            }
        });

        System.out.println("---------------");

        for (Student s : ss) {
            System.out.println(s);
        }

    }
}
