package com.lc.day15.set06;

import java.util.Objects;

/**
 * ClassName: Person
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/11 14:07
 * @Version 1.0
 */
public class Person {

    int id;
    String name;

    public Person(int id, String name) {
        this.id = id;
        this.name = name;
    }

    @Override
    public boolean equals(Object object) {
        if (this == object) return true;
        if (object == null || getClass() != object.getClass()) return false;
        Person person = (Person) object;
        return id == person.id && Objects.equals(name, person.name);
    }


    @Override
    public int hashCode() {
        // hashcode 是通过 id, name 生成的
        int hash = Objects.hash(id, name);
        System.out.println("hash :"+hash);
        return Objects.hash(id, name);
    }

    @Override
    public String toString() {
        return "Person{" +
                "id=" + id +
                ", name='" + name + '\'' +
                '}';
    }
}
