package com.lc.day15.set08;

/**
 * ClassName: Person
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/11 14:56
 * @Version 1.0
 */
public class Person implements Comparable<Person> {

    String name;

    public Person(String name) {
        this.name = name;
    }

    @Override
    public int compareTo(Person o) {
        // == 0 相等  相等就是同一个对象。
        // > 0  当前大于传入对象
        // < 0  当前小于传入对象
        return this.name.compareTo(o.name);
    }

    @Override
    public String toString() {
        return "Person{" +
                "name='" + name + '\'' +
                '}';
    }
}
