package com.lc.day15.set09;

import java.util.Comparator;
import java.util.TreeMap;
import java.util.TreeSet;

/**
 * ClassName: Test
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/11 16:00
 * @Version 1.0
 */
public class Test {

    public static void main(String[] args) {

        TreeSet<Employee> treeSet = new TreeSet<>();
        
        treeSet.add(new Employee("zs",18, new MyDate(1990,3,10) ));
        treeSet.add(new Employee("lis",18, new MyDate(1994,2,10) ));
        treeSet.add(new Employee("ww",19, new MyDate(1992,3,22) ));
        treeSet.add(new Employee("zl",18, new MyDate(1990,4,10) ));
        treeSet.add(new Employee("kk",22, new MyDate(1993,3,11) ));

        for (Employee employee : treeSet) {
            System.out.println(employee);
        }

        //生日日期的
        TreeSet<Employee> tt = new TreeSet<>(new Comparator<Employee>(){

            @Override
            public int compare(Employee o1, Employee o2) {
                //生日月份
                int i = o1.getBirthday().getMonth().compareTo(o2.getBirthday().getMonth());
                //天数
                i = i == 0 ? o1.getBirthday().getDay().compareTo(o2.getBirthday().getDay()): i;
                return i;
            }
        });


        tt.addAll(treeSet);

        System.out.println("---------------------");
        for (Employee employee : tt) {
            System.out.println(employee);
        }

    }

}
