package com.lc.day16.coll06;

import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;

/**
 * ClassName: Test
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/12 11:45
 * @Version 1.0
 */
public class Test1 {
    public static void main(String[] args) {

       /*
       - Object max(Collection)：根据元素的自然顺序，返回给定集合中的最大元素
        - Object max(Collection，Comparator)：根据 Comparator 指定的顺序，返回给定集合中的最大元素
        - Object min(Collection)：根据元素的自然顺序，返回给定集合中的最小元素
        - Object min(Collection，Comparator)：根据 Comparator 指定的顺序，返回给定集合中的最小元素
        - int binarySearch(List list,T key)在List集合中查找某个元素的下标，但是List的元素必须是T或T的子类对象，而且必须是可比较大小的，即支持自然排序的。而且集合也事先必须是有序的，否则结果不确定。
        - int binarySearch(List list,T key,Comparator c)在List集合中查找某个元素的下标，但是List的元素必须是T或T的子类对象，而且集合也事先必须是按照c比较器规则进行排序过的，否则结果不确定。
        - int frequency(Collection c，Object o)：返回指定集合中指定元素的出现次数
        */

        List<Integer> integers = List.of(4, 2, 324, 234, 25, 34, 65, 367);

        ArrayList<Integer> list = new ArrayList<>(integers);

        //max
        Integer max = Collections.max(list);
        System.out.println(max);


        //binarySearch
        int i = Collections.binarySearch(list, 2); //索引
        System.out.println(i);

        //frequency
        int frequency = Collections.frequency(list, 2);
        System.out.println(frequency);
    }
}
