package com.lc.day16.homework;

import java.util.*;

/**
 * ClassName: Test01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/15 9:12
 * @Version 1.0
 */
public class Test02 {
    /*
        把字符串str字符串先按照;进行拆分，得到34个省（包括23个省，5个自治区，4个直辖市，2个特别行政区，下面的题目描述中，把它们都成为省份）
        然后把每个省的字符串，按照:进行拆分，那么:左边的是省份名称，:右边的是该省的各市辖区
        把34个省存储到一个HashMap集合中，其中编号是key，省份名是value
        把所有省份的城市存储到一个LinkedHashMap集合中，其中省份名是key，该省份的所有城市用一个ArrayList的集合装起来，然后作为value。
     */
    public static void main(String[] args) {
        //河北、山西、辽宁、吉林、黑龙江、江苏、浙江、安徽、福建、江西、山东、河南、湖北、湖南、广东、海南、四川、贵州、云南、陕西、甘肃、青海、台湾
        String str = "河北、山西、辽宁、吉林、黑龙江、江苏、浙江、安徽、福建、江西、山东、河南、湖北、湖南、广东、海南、四川、贵州、云南、陕西、甘肃、青海、台湾";

        String[] arr = str.split("、");
        
        HashMap<Integer,String> map = new HashMap<>();

        for (int i = 0; i < arr.length; i++) {
            map.put(i+1,arr[i]);
        }

        //城市
        List ln = List.of("丹东","大连","抚顺","本溪","营口","阜新","辽阳","盘锦","铁岭","朝阳","葫芦岛");
        List hlj = List.of("哈尔滨","齐齐哈尔","牡丹江","佳木斯","大庆","鸡西","双鸭山","鹤岗","七台河","黑河");
        List jl = List.of("长春","吉林","延边朝鲜族自治州","四平","通化","白山","白城","辽源");

        //
        LinkedHashMap<String,List> cityMap = new LinkedHashMap<>();
        cityMap.put(map.get(2),ln);
        cityMap.put(map.get(3),hlj);
        cityMap.put(map.get(4),jl);


        //输入
        Scanner scanner = new Scanner(System.in);
        System.out.println("请选择：");
        for (Map.Entry<Integer, String> s : map.entrySet()) {
            System.out.println(s.getKey() + ":" + s.getValue());
        }
        //输入索引
        int index = scanner.nextInt();
        //value 获取 城市
        String s = map.get(index);
        List list = cityMap.get(s);

        //输出
        System.out.println(list);

    }



}
