package com.lc.homework.day17.thread4;

/**
 * ClassName: Test
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/15 13:37
 * @Version 1.0
 */
public class Test {
    public static void main(String[] args) throws InterruptedException {
        /*
        - 声明一个匿名内部类继承Thread类，重写run方法，实现打印[1,100]之间的偶数，要求每隔1秒打印1个偶数。
        - 声明一个匿名内部类继承Thread类，重写run方法，实现打印[1,100]之间的奇数，
          - 当打印到5时，让奇数线程停下来，让偶数线程执行完再打印。
         */
        Thread thread1 = new Thread() {
            @Override
            public void run() {
                for (int i = 0; i < 100; i += 2) {
                    try {
                        Thread.sleep(10);
                    } catch (InterruptedException e) {
                        throw new RuntimeException(e);
                    }
                    System.out.println(i);
                }
            }
        };

        Thread thread2 = new Thread() {
            @Override
            public void run() {
                for (int i = 1; i < 100; i += 2) {
                    if (i == 5){
                        try {
                            thread1.join();
                        } catch (InterruptedException e) {
                            throw new RuntimeException(e);
                        }
                    }
                    System.out.println("奇数："+i);
                }
            }
        };

        thread1.start();
        thread2.start();

        thread1.join();
        thread2.join();

        System.out.println("执行完成");

    }
}
