package com.lc.homework.day17.thread6;

import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReentrantLock;

/**
 * ClassName: Tikcet
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/15 15:17
 * @Version 1.0
 */
public class Tikcet {

    private static int ticket = 100;
    Lock  lock = new ReentrantLock();

    public void sale(){

        lock.lock();
        if ( ticket > 0  ){

            try {
                Thread.sleep(10);
            } catch (InterruptedException e) {
                throw new RuntimeException(e);
            }
            System.out.println(Thread.currentThread().getName() + "卖 第"+ticket+"张票");

            ticket--;
        }
        lock.unlock();

    }


    public void sale4(){
        //代码块 参数 锁对象
        //synchronized (this){
        synchronized (Tikcet.class){
            if ( ticket > 0  ){
                try {
                    Thread.sleep(10);
                } catch (InterruptedException e) {
                    throw new RuntimeException(e);
                }
                System.out.println(Thread.currentThread().getName() + "卖 第"+ticket+"张票");

                ticket--;
            }
        }
    }

    /*
    卖票
     */
    //  线程1 线程2 线程3 线程4  获取锁
    public static  synchronized void sale2(){
        //System.out.println(this);
        System.out.println(Tikcet.class);
        if ( ticket > 0  ){
            try {
                Thread.sleep(10);
            } catch (InterruptedException e) {
                throw new RuntimeException(e);
            }
            System.out.println(Thread.currentThread().getName() + "卖 第"+ticket+"张票");

            ticket--;
        }
    }

    public  synchronized void sale1(){
        System.out.println(this);
        if ( ticket > 0  ){
            try {
                Thread.sleep(10);
            } catch (InterruptedException e) {
                throw new RuntimeException(e);
            }
            System.out.println(Thread.currentThread().getName() + "卖 第"+ticket+"张票");

            ticket--;
        }
    }

    public int getTicket() {
        return ticket;
    }

}
