package com.lc.day18.file04;

import java.io.File;
import java.util.Date;

/**
 * ClassName: Test
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/16 13:43
 * @Version 1.0
 */
public class Test1 {

    public static void main(String[] args) {
        /*
        | 方法                         | 描述                                                         |
        | ---------------------------- | ------------------------------------------------------------ |
        | public String getName()      | 返回由此File表示的文件或目录的名称。                         |
        | public long length()         | 返回由此File表示的文件的长度。 如果此路径名表示一个目录，则返回值是不确定的。 |
        | public long lastModified()   | 返回File对象对应的文件或目录的最后修改时间（毫秒值）。       |
        | public boolean exists()      | 此File表示的文件或目录是否实际存在。                         |
        | public boolean isDirectory() | 此File表示的是否为目录。                                     |
        | public boolean isFile()      | 此File表示的是否为文件。                                     |
        | public boolean isHidden()    | 此File表示的是否为隐藏文件或目录。                           |
         */
        File file = new File("C:\\LoveCoding\\VIP-31\\code\\JavaSE\\day18\\file\\a.txt");
        System.out.println(file.getName());

        long length = file.length();
        System.out.println("文件大小："+length+"字节");

        long l = file.lastModified();
        System.out.println( "时间戳"+ new Date(l));

        System.out.println(file.isFile());

        System.out.println(file.isDirectory());

        System.out.println(file.isHidden());

        File file2 = new File("/JavaSE/day18/file/a.txt");
        System.out.println(file2.exists());

    }
}
