package com.lc.day18.file04;

import java.io.File;
import java.io.IOException;
import java.util.Date;

/**
 * ClassName: Test
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/16 13:43
 * @Version 1.0
 */
public class Test2 {

    public static void main(String[] args) throws IOException {
        /*
        | 方法                               | 描述                                                     |
        | ---------------------------------- | -------------------------------------------------------- |
        | public boolean createNewFile()     | 当且仅当具有该名称的文件尚不存在时，创建一个新的空文件。 |
        | public boolean **delete**()        | 删除由此File表示的文件或==空==目录。                     |
        | public boolean mkdir()             | 创建由此File表示的目录。                                 |
        | public boolean mkdirs()            | 创建由此File表示的目录，包括任何必需但不存在的父目录。   |
        | public boolean renameTo(File dest) | 重新命名此抽象路径名表示的文件或目录。                   |
         */
        File file = new File("C:\\Users\\erga\\Desktop\\file\\c.txt");

        boolean newFile = file.createNewFile();
        System.out.println(newFile);

        boolean delete = file.delete();
        System.out.println(delete);


        File file1 = new File("a");
        System.out.println(file1.mkdir());

        System.out.println(file1.getAbsolutePath());

        System.out.println(file1.delete());

        //多级目录
        File file2 = new File("day18\\file\\a\\b\\c\\a.txt");
        boolean mkdirs = file2.mkdirs();
        System.out.println(mkdirs);

        File file3 = new File("day18\\file\\a\\b\\c\\");

        File file4 = new File(file3,"c.txt");
        boolean newFile1 = file4.createNewFile();
        System.out.println(newFile1);

        File file5 = new File(file3,"b.txt");
        boolean b = file4.renameTo(file5);
        System.out.println(b);
    }
}
