package com.lc.day18.thread02;

/**
 * ClassName: Product
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/16 10:34
 * @Version 1.0
 */
public class Product {
    //限制
    private int MAX_COUNT=20;
    private int MIN_COUNT=0;
    private int count=0;

    //生产者
    public synchronized void addProdut() throws InterruptedException {
        //判断 不符合 等待
        while ( count >= MAX_COUNT){
            wait();
        }

        //生产
        count++;
        System.out.println(Thread.currentThread().getName()+"生产了第"+count+"个产品");

        //通知消费者
        notifyAll();
    }

    //消费者
    // 线程2 20都消费  0 等待 唤醒所有。  线程3 不符合。唤醒 有可能 唤醒 线程2 继续执行
    public synchronized void minProdut() throws InterruptedException {
        //判断 不符合 等待
        while ( count <= MIN_COUNT){
            wait();
        }

        //消费
        count--;
        System.out.println(Thread.currentThread().getName()+"消费了第"+count+"个产品");

        //通知消费者
        notifyAll();
    }

}
