package com.lc.day20.recf02;

import org.junit.Test;

import java.io.InputStream;
import java.util.Properties;

/**
 * ClassName: Test01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/18 10:49
 * @Version 1.0
 */
public class Test01 {

    public static void main(String[] args) throws ClassNotFoundException, InstantiationException, IllegalAccessException {

        //CLass.forName
        Class clazz = Class.forName("com.lc.day20.recf02.Person");

        Object o = clazz.newInstance();

        //Person对象
        System.out.println(o);
    }

    @Test
    public void test01() throws Exception{
        //获取class
        Class clazz = Test01.class;

        InputStream is = clazz.getClassLoader().getResourceAsStream("jdbc.properties");

        Properties properties = new Properties();
        properties.load(is);

        String property = properties.getProperty("person");

        Class clazz1 = Class.forName(property);
        Object o = clazz1.newInstance();

        System.out.println(o);
    }

    @Test
    public void test03(){
        Person person = new Person();
        //getClass
        Class aClass = person.getClass();

        System.out.println(aClass);
    }
}
