package com.lc.day20.recf04;

import org.junit.Test;

import java.lang.reflect.Constructor;
import java.lang.reflect.Field;

/**
 * ClassName: Test01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/18 15:05
 * @Version 1.0
 */
public class Test02 {


    @Test
    public void test01() throws Exception{
        //class
        Class<Person> clazz = Person.class;

        Person person = clazz.newInstance();

        //获取属性
        Field name = clazz.getDeclaredField("name");

        //设置 可暴力反射
        name.setAccessible(true);

        //获取
        Object o = name.get(person);
        System.out.println(o);

        //赋值
        name.set(person, "kunkun");

        //获取
        String s1 = (String) name.get(person);
        System.out.println(s1);
    }


    @Test
    public void test02() throws Exception{
        //class
        Class<Person> clazz = Person.class;

        Person person = clazz.newInstance();

        //获取属性
        Field obj = clazz.getDeclaredField("obj");

        //设置 可暴力反射
        obj.setAccessible(true);

        //赋值
        obj.set(person, new Object());

        //获取
        Object o = obj.get(person);
        System.out.println(o);
    }

    @Test
    public void test03() throws Exception {
        Class<Person> clazz = Person.class;

        Person person = clazz.newInstance();

        //获取属性
        Field[] obj = clazz.getDeclaredFields();

        for (Field field : obj) {
            //get 在数据库 获取 field.getName()
            //循环 赋值
        }

    }
}
