package com.lc.day20.test01;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import java.abc.String;

/**
 * ClassName: Test01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/18 9:21
 * @Version 1.0
 */
public class Test01 {

    //写 普通方法
    //上 @Test  Alt + 回车  提示 junit4
    // 右键 运行方法
    @Test
    public void test01(){
        String a;
        System.out.println("test01");
    }

    @Test
    public void test02(){
        System.out.println("test02");
    }


    /*
    - @Test，用于修饰需要执行的测试方法
    - @Before，修饰的方法会在测试方法之前被自动执行
    - @After，修饰的方法会在测试方法执行之后自动被执行
     */

    @Test
    public void test03(){
        System.out.println("测试目标方法");
    }

    @Before
    public void before(){
        System.out.println("目标方法 前执行");
    }

    @After
    public void after(){
        System.out.println("目标方法 后执行");
    }

}
