package com.lc.mybatis02.mapper;

import com.lc.mybatis02.pojo.User;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * ClassName: UserMapper
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/29 11:27
 * @Version 1.0
 */
public interface UserMapper {

    public List<User> getUserByNameAndAge(@Param("name") String name ,@Param("age") Integer age );

    public List<User> getUserByNameAndAge2Map(Map<String,Object> map);

    public int addUser(User user);

    public int deleteById(int id);

    List<User> getUserByName1(String name);
    List<User> getUserByName2(String name);


    // ++++++++++++++++++ ResultMap +++++++++++++++++++++++++++++++

    User getUserById(Integer id);
    List<User> getUsers();

    // ++++++++++++++++++ 级联 +++++++++++++++++++++++++++++++++
    User getUserById2(Integer id);

    //++++++++++++++++++ Association +++++++++++++++++++++++++++++++++
    User getUserByIdAssociation(Integer id);

    User getUserByIdAssociationStep(Integer id);

}