package com.lc.jdbc2;

import com.lc.utils.DButils;

import java.sql.*;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * ClassName: EmpDao
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/25 15:54
 * @Version 1.0
 */
public class EmpDao {
    static Connection connection = null;
    //获取连接
    static {
        //获取连接
        try {
            connection  = DButils.getConnection();
        } catch (SQLException e) {
            throw new RuntimeException(e);
        }
    }

    public List<Emp> getAll() throws Exception{


        String sql = " select * from emp ";
        //预编译
        PreparedStatement statement = connection.prepareStatement(sql);

        ResultSet resultSet = statement.executeQuery();

        List<Emp> list = new ArrayList<>();
        while(resultSet.next()){
            Emp emp = new Emp();
            emp.setId(resultSet.getInt("id"));
            emp.setEname(resultSet.getString("ename"));
            emp.setJoindate(resultSet.getDate("joindate"));
            emp.setMgr(resultSet.getInt("mgr"));
            emp.setBonus(resultSet.getInt("bonus"));
            list.add(emp);
        }
        return list;
    }


}
