package com.lc.jdbc2;

import com.alibaba.druid.pool.DruidDataSourceFactory;
import org.junit.Test;

import javax.sql.DataSource;
import java.sql.Connection;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * ClassName: Test01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/28 10:04
 * @Version 1.0
 */
public class Test01 {

    @Test
    public void test01() throws Exception {
        // 数据源信息
        Map<String,String> dataSourse = new HashMap<>();

        dataSourse.put("username","root");
        dataSourse.put("password","123456");
        dataSourse.put("url","jdbc:mysql://127.0.0.1:3306/db2?useSSL=false");

        // 创建数据源
        DataSource dataSource = DruidDataSourceFactory.createDataSource(dataSourse);

        // 获取连接
        Connection connection = dataSource.getConnection();

        System.out.println(connection);
    }


    @Test
    public void test02() throws Exception {
        EmpDao empDao = new EmpDao();

        List<Emp> all = empDao.getAll();
        System.out.println(all);
    }

}
