package com.lc.day04.bc02;

/**
 * ClassName: Test02
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/11/11 9:30
 * @Version 1.0
 */
public class Test02 {
    /*
    **题目：找出100以内所有的素数（质数）？100000以内的呢？**

    目的：不同的代码的实现方式，可以效率差别很大。

    分析：素数（质数）：只能被1和它本身整除的自然数。  --->
    从2开始，到这个数-1为止，此范围内没有这个数的约数。则此数是一个质数。
    比如：2、3、5、7、11、13、17、19、23、...

        3-100
        3 取模  2
        4 取模  2 3
        5 取模  2 3 4
        *
        100  取模  2 - 99
        *

        标志 判断

        外循环 素数判断

        内循环  素数条件
     */
    public static void main(String[] args) {
        //时间
        long start = System.currentTimeMillis();
        // 1-100
        for (int i = 3; i < 100000; i++) {
            //标识
            boolean flag = true;

            //素数条件
            for (int j = 2; j < i; j++) {
                //取模 判断
                if ( i % j == 0 ){
                    //标识
                    flag = false;
                }
            }
            //判断
            if (flag){
                //System.out.println(i +"是质数");
            }
        }

        long end = System.currentTimeMillis();

        //时间
        System.out.println(end - start);

    }
}
