package com.lc.day05.exer;

import java.util.Arrays;
import java.util.Scanner;

/**
 * ClassName: Exer01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/11/18 9:18
 * @Version 1.0
 */
public class Exer01 {

    /*
    双色球（蓝球“35选5”＋红球“7选1”），即蓝球在1-35之间的号码中随机选取5个，
    红球在1-7之间的号码中随机选取1个，组成一期的中奖号码，和用户输入的 进行比较进行开奖。
    开发提示：

    - 声明一个int类型的 蓝球 数组before，长度为5，5个不同的数字（不重复）；
    - 声明一个int类型的 红球变量 after，1-7之间的随机数；
    - 猜数字 输入 5个蓝球  1 个红球
    - 比较
      - 5个蓝球 数组中对比  中 5个   + 红球   中 1 个   一等奖  300w
      - 5个蓝球 数组中对比  中 4个   + 红球   中 1 个   二等奖  100w
      - 5个蓝球 数组中对比  中 4个   + 红球   中 0 个   三等奖  1000
      - 5个蓝球 数组中对比  中 3个   + 红球   中 1 个   四等奖  1000
      - 5个蓝球 数组中对比  中 3个   + 红球   中 0 个   五等奖  1000
     */
    public static void main(String[] args) {
        //用户输入
        Scanner scanner = new Scanner(System.in);

        //蓝球
        int[] blueArr = new int[5];

        //不重复的 1-35的5个数字  存入数组
        for (int i = 0; i < blueArr.length; i++) {
            //随机数
            int random =(int)(Math.random() * 10)+1;
            //赋值
            blueArr[i] = random;
            //比较
            for (int k = 0; k < i; k++) {
                if (blueArr[k] == random){
                    i --;
                    break;
                }
            }
        }
        //输出
        //System.out.println(Arrays.toString(blueArr));

        //红球
        int redBall =(int)(Math.random() * 7)+1;

        System.out.println("蓝球："+Arrays.toString(blueArr));
        System.out.println("红球："+redBall);

        //输入 蓝球数组
        int[] inputBlueBall = new int[5];

        for (int i = 0; i < inputBlueBall.length; i++) {
            System.out.println("请输入第"+(i+1)+"蓝球");
            int inputNumber = scanner.nextInt();
            //赋值
            inputBlueBall[i] = inputNumber;
            //比较
            for (int k = 0; k < i; k++) {
                if (inputBlueBall[k] == inputNumber){
                    System.out.println("输入的"+inputNumber+"已经存在请重新输入。");
                    i --;
                    break;
                }
            }
        }

        //System.out.println(Arrays.toString(inputBlueBall));
        System.out.println("请入红球");
        int inputRedNumber = scanner.nextInt();

        // 比较  蓝球个数
        int count = 0;

        for (int i = 0; i < blueArr.length; i++) {
            for (int k = 0; k < inputBlueBall.length; k++) {
                if (blueArr[i] == inputBlueBall[k]){
                    count++;
                    break;
                }
            }
        }

        //根据 个数判断

        if ( count == 5 && redBall == inputRedNumber  ){
            System.out.println("一等奖 500w");
        }  else if ( count == 5  ){
            System.out.println("二等奖");
        }  else if ( count == 3 && inputRedNumber == redBall ){
            System.out.println("三等奖");
        }  else if ( count == 3  ){
            System.out.println("四等奖");
        }  else if ( count == 2 && inputRedNumber == redBall ){
            System.out.println("五等奖");
        }  else if ( count == 2 || inputRedNumber == redBall ){
            System.out.println("六等奖");
        }  else {
            System.out.println("遗憾");
        }

        System.out.println(Arrays.toString(blueArr));
        System.out.println(Arrays.toString(inputBlueBall));

        System.out.println("红："+redBall+"-输入红球:"+inputRedNumber);

        System.out.println(count);



    }

}
