package com.lc.day08.enc03;

/**
 * ClassName: Person
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/9 10:00
 * @Version 1.0
 */
public class Person {

    //私有化属性
    private String name;
    private int age;

    public Person() {
    }

    public Person( int age) {
        //age 0-150
        boolean b = checkAge(age);
        if (b){
            this.age = age;
        }

    }

    public Person(String name, int age) {
        this.name = name;
        //age 0-150
        boolean b = checkAge(age);
        if (b){
            this.age = age;
        }

    }

    //访问方式
    public String getName(){
        return name;
    }

    public void setName( String name ){
        //this
        this.name = name;
    }


    public int getAge(){
        return age;
    }

    public void setAge(int age){
        //age 0-150
        boolean b = checkAge(age);
        if (b){
            this.age = age;
        }
    }

    //封装方法 提高复用性。
    private boolean checkAge(int age){

        boolean flag = true;
        if ( age < 0 || age > 150  ){
            System.out.println("年龄不符合，赋值不成功");
            //抛出异常
            flag = false;
        }
        return flag;
    }


    @Override
    public String toString() {
        return "Person{" +
                "name='" + name + '\'' +
                ", age=" + age +
                '}';
    }
}
