package com.lc.day08.exer02;

/**
 * ClassName: DepositCard
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/9 15:41
 * @Version 1.0
 */
public class DepositCard {

    private String account;
    private int banlance;

    public DepositCard() {
    }

    public DepositCard(String account, int banlance) {
        this.account = account;
        this.banlance = banlance;
    }

    /**
     * 取款方法
     * @param money
     */
    public void withdraw(double money){
        if (money < 0){
            System.out.println("取款不能为负数");
            return;
        }

        if (money > banlance){
            System.out.println("余额不足");
            return;
        }
        banlance -= money;
    }

    /**
     * 存款
     * @param money
     */
    public void save(double money){
        if (money < 0){
            System.out.println("存款不能为负数");
            return;
        }

        banlance += money;
    }

    public String getInfo(){
        return "DepositCard{" +
                "account='" + account + '\'' +
                ", banlance=" + banlance +
                '}';
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public int getBanlance() {
        return banlance;
    }

    public void setBanlance(int banlance) {
        this.banlance = banlance;
    }
}
