package com.lc.day09.static03;

/**
 * ClassName: Triangle
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/17 10:58
 * @Version 1.0
 */
public class Triangle extends Shape{

    private int a,b,c;

    public Triangle() {
    }

    public Triangle(int a, int b, int c) {
        if ( a+b > c || a+c > b || b+c > a){
            this.a = a;
            this.b = b;
            this.c = c;
        }else{
            System.out.println("提示 ：三角形两边之和不能大于第三边 ");
        }

    }

    @Override
    public double area() {
        double p = (double) (a+b+c) /2;
        return Math.sqrt(p * (p - a) * (p - b) * (p - c));
    }

    @Override
    public double perimeter() {
        return a+b+c;
    }

    @Override
    public String toString() {
        return super.toString() + "a=" + a + ",b=" + b + ",c=" + c;
    }

    public int getA() {
        return a;
    }

    public void setA(int a) {
        this.a = a;
    }

    public int getB() {
        return b;
    }

    public void setB(int b) {
        this.b = b;
    }

    public int getC() {
        return c;
    }

    public void setC(int c) {
        this.c = c;
    }
}
