package com.lc.day10.dt05;

/**
 * ClassName: Test01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2023/12/24 13:34
 * @Version 1.0
 */
public class Test01 {
    public static void main(String[] args) {
        //多态
        A a = new B();

        a.test();

        //不是父类的声明方法。不可以调用
        //a.testB();


        //new B
        B b = new B();
        //自动 多态
        A  a1 = b;

        //强制转换
        B b1 = (B) a1;
        b1.testB();

        //转换 C  //ClassCastException
        //C c1 = (C) a1;

//        //解决类型转换异常  instanceof
//        if (a1 instanceof C ) {
//            C c1 = (C) a1;
//            c1.testC();
//        }
//
//        if (a1 instanceof B ) { //instanceof 检查类型
//            B b2 = (B) a1;
//            b2.testB();
//        }
        if (a1 instanceof B b3 ) { //instanceof 检查类型 b3
            //B b2 = (B) a1; 省略 转换
            b3.testB();
        }
    }


}

class A {
    public void test() {

    }


}

class B extends A {

    public void test() {

    }
    //子类种特有的方法
    public void testB() {
        System.out.println("testB");
    }
}
class C extends A {

    public void testC() {
        System.out.println("testC");
    }
}
