package com.day11.enum10;

import java.net.SocketTimeoutException;

/**
 * ClassName: Test
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/7 15:28
 * @Version 1.0
 */
public class Test {

    //使用枚举
    public static void main(String[] args) {

        //类名.值
        Week monday = Week.MONDAY;

        String name = monday.getName();
        int number = monday.getNumber();

        System.out.println(name);
        System.out.println(number);

        //MONDAY 代替的是 数字  1 字符串 星期

        String string = monday.toString();
        System.out.println(string);

        //返回枚举类型的对象数组
        Week[] values = Week.values();

        for (Week value : values) {
            System.out.println(value);
        }

        //valueOf
        Week valueOf = Week.valueOf("MONDAY");
        System.out.println(valueOf);

        //得到当前枚举常量的名称
        System.out.println(monday.name);

        //返回当前枚举常量的次序号
        System.out.println(monday.ordinal());
    }

}
