package com.day11.ex;

/**
 * ClassName: Produt
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/7 11:11
 * @Version 1.0
 */
public class Produt  implements Comparable{
    private String name;
    private double price;

    public Produt(String name, double price) {
        this.name = name;
        this.price = price;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public double getPrice() {
        return price;
    }

    public void setPrice(double price) {
        this.price = price;
    }

    @Override
    public String toString() {
        return "Produt{" +
                "name='" + name + '\'' +
                ", price=" + price +
                '}';
    }

    @Override
    public int compareTo(Object o) {
        //强制转换
        Produt p = (Produt) o;
        //价格比较
        double result = this.price - p.price;
        // == 0 相等
        // 名称比较
        result = result == 0 ? this.name.compareTo(p.name) : result;

        return (int) result;
    }
}
