package com.day11.ex2;

import java.util.Comparator;

/**
 * ClassName: ArrayTools
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/7 11:39
 * @Version 1.0
 */
public class ArrayTools {

    /*
    静态方法public static void sort(Object[] arr)：
    实现给对象数组从小到大排序，要求元素的运行时类型必须实现Comparable接口
     */
    public static void sort(Object[] arr){
        //冒泡排序比较
        for (int i = 0; i < arr.length - 1; i++) {
            for (int j = 0; j < arr.length - 1 - i; j++) {
                // 比较 不能 arr[j] > arr[j+1]
                // 自动类型转换
                Comparable c1 = (Comparable) arr[j];
                Comparable c2 = (Comparable) arr[j+1];

                if ( c1.compareTo(c2) > 0 ){
                    // 交换
                    Object temp = arr[j];
                    arr[j] = arr[j+1];
                    arr[j+1] = temp;
                }
            }
        }
    }

    /*
    public static void sort(Object[] arr, Comparator c)：
    实现给对象数组从小到大排序，需要提供一个Comparator接口的实现类对象，给数组的元素对象排序。
     */
    public static void sort(Object[] arr, Comparator c){
        //冒泡排序比较
        for (int i = 0; i < arr.length - 1; i++) {
            for (int j = 0; j < arr.length - 1 - i; j++) {
                // 比较 不能 arr[j] > arr[j+1]
                if ( c.compare(arr[j],arr[j+1]) > 0 ){ //使用比较方法
                    // 交换
                    Object temp = arr[j];
                    arr[j] = arr[j+1];
                    arr[j+1] = temp;
                }
            }
        }
    }

}
