package com.day11.ex2;

import java.util.Comparator;

/**
 * ClassName: Test
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/7 11:45
 * @Version 1.0
 */
public class Test {
    public static void main(String[] args) {

        Employee e1 = new Employee(1, "zs", 5000, 20);
        Employee e2 = new Employee(2, "lis", 7600, 22);
        Employee e3 = new Employee(3, "a", 5600, 23);
        Employee e4 = new Employee(4, "a", 1000, 18);
        Employee e5 = new Employee(5, "b", 12000, 25);

        Employee[] es = new Employee[]{e1, e2, e3, e4, e5};
        //ArrayTools //自然排序 id
        ArrayTools.sort(es);

        for (Employee e : es) {
            System.out.println(e);
        }

        System.out.println("-----------------");
        //比较器
        ArrayTools.sort(es, new ComparatorSalary() );

        for (Employee e : es) {
            System.out.println(e);
        }

        System.out.println("-------------");
        //比较器 编号逆序
        ArrayTools.sort(es, new Comparator() {
            @Override
            public int compare(Object o1, Object o2) {
                //逆序
                Employee e1 = (Employee) o1;
                Employee e2 = (Employee) o2;

                return e2.getId() - e1.getId();
            }
        });

        for (Employee e : es) {
            System.out.println(e);
        }

        //了解
        ArrayTools.sort(es, (Object o1, Object o2) -> {
            return ((Employee) o2).getId() - ((Employee) o1).getId();
        });

        for (Employee e : es) {
            System.out.println(e);
        }


    }
}
