package com.lc.day12.obj05;

import java.util.Objects;

/**
 * ClassName: S
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/8 13:44
 * @Version 1.0
 */
public class Person {

    private int id;
    private String name;
    private int age;

    public Person() {
    }

    public Person(int id, String name, int age) {
        this.id = id;
        this.name = name;
        this.age = age;
    }

    @Override
    public boolean equals(Object object) {
        if (this == object) return true;
        if (object == null || getClass() != object.getClass()) return false;
        Person person = (Person) object;
        return id == person.id && age == person.age && Objects.equals(name, person.name);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, name, age);
    }

    //    @Override
//    public boolean equals(Object obj) {
//        //Object obj = new Person 多态。
//        Person p1 =  (Person) obj;
//        //比较id
//        boolean equals = this.id == p1.id;
//        //id相同 比较年龄
//        equals = equals ? this.age == p1.age : false;
//        //年龄相同 比较name
//        equals = equals ? this.name.equals(p1.name) : false;
//
//        return  equals;
//    }
}
