package com.lc.day12.throwable04;

/**
 * ClassName: Triangle
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/8 10:43
 * @Version 1.0
 */
public class Triangle {

    private int a , b , c;

    public Triangle() {
    }

    public Triangle(int a, int b, int c) throws TriangleException {
        //验证
        if (check()) {
            this.a = a;
            this.b = b;
            this.c = c;
        }else{
            //System.out.println("三角形不合法");
            //抛出异常
            throw new TriangleException("三角形不合法");
        }
    }



    private boolean check(){
        return a + b > c && a + c > b && b + c > a;
    }

    @Override
    public String toString() {
        return "Triangle{" +
                "a=" + a +
                ", b=" + b +
                ", c=" + c +
                '}';
    }
}
