package com.lc.day13.date05;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.LocalTime;
import java.time.format.DateTimeFormatter;
import java.time.temporal.TemporalAccessor;

/**
 * ClassName: Test01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/9 15:16
 * @Version 1.0
 */
public class Test02 {

    public static void main(String[] args) {
        //时间转换
        DateTimeFormatter dtf = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");

        //当前时间
        LocalDateTime now = LocalDateTime.now();

        //转换 字符串
        String format = dtf.format(now);

        System.out.println(format);

        //字符串 format
        TemporalAccessor parse = dtf.parse(format);
        // 时间
        LocalDateTime from = LocalDateTime.from(parse);

        System.out.println(from);

        //LocalDateTime 时间类提供的
        LocalDateTime parse1 = LocalDateTime.parse(format, dtf);
        System.out.println(parse1);
    }
}
