package com.lc.day13.str01;

import java.util.Arrays;

/**
 * ClassName: TestString01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/9 9:33
 * @Version 1.0
 */
public class TestString01 {
    /*
     **字符串 -->  字符数组：**
    - public char[] toCharArray()：将字符串中的全部字符存放在一个字符数组中的方法。
    - public void getChars(int srcBegin, int srcEnd, char[] dst, int dstBegin)：提供了将指定索引范围内的字符串存放到数组中的方法。
    **字符串 --> 字节数组：（编码）**
    - public byte[] getBytes() ：使用默认字符集将 String 转为 byte 序列，结果存储到一个新的 byte 数组中。
    - public byte[] getBytes(String charsetName) ：使用指定字符集。
     **字节数组 --> 字符串：（解码）**
    - String(byte[])：通过默认字符集解码 byte 数组，返回 String。
    - String(byte[]，int offset，int length) ：用字节数组的一部分，起始位置和长度返回String
    - String(byte[], String charsetName ) 按照指定的字符，解码byte字节数组。
     */
    public static void main(String[] args) {
        String s1 = "helloworld";
        //将字符串中的全部字符存放在一个字符数组中
        char[] charArray = s1.toCharArray();
        System.out.println(Arrays.toString(charArray));

        //String s = new String(charArray , 0 ,10);
        char[] arr = new char[2];
        s1.getChars(0,2,arr, 0);

        System.out.println(arr);
    }


}
