package com.lc.day14.coll02;

import com.lc.day14.ex2.Student;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.function.Predicate;

/**
 * ClassName: Test02
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/10 11:31
 * @Version 1.0
 */
public class Test02 {

    public static void main(String[] args) {
        //泛型 指定泛型 只能添加指定的泛型类型
        //将运行期问题在编译器解决
        Collection<String> list = new ArrayList<>();

        list.add("1");
        list.add("2");
        list.add("3");
        list.add("4");
        list.add("5");

        //迭代器
        Iterator<String> iterator = list.iterator();

        // hasNext 判断  next  获取
        while (iterator.hasNext()){
            String s = iterator.next();
            System.out.println(s);
        }


        // foreach
        for ( String e : list){
            System.out.println(e);
        }


        //泛型
        Collection<Student> c1 = new ArrayList();
        c1.add(new Student());
        c1.removeIf(new Predicate<Student>() {
            @Override
            public boolean test(Student student) {
                return false;
            }
        });

    }
}
