package com.lc.day14.coll02;

import com.lc.day14.ex2.Student;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.function.Predicate;

/**
 * ClassName: Test02
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/10 11:31
 * @Version 1.0
 */
public class Test03 {

    public static void main(String[] args) {
       Collection<Integer> list = new ArrayList<>();

        list.add(111);
        list.add(222);
        list.add(333);

        //增强for原理是迭代器  使用迭代器 不可以在使用原集合操作 元素。
//        for (Integer i : list) {
//            if (i.equals(222)){
//                list.remove(i);
//            }
//        }

        //ConcurrentModificationException 并发修改异常


        //在迭代器 内部 有删除方法。
        Iterator<Integer> iterator = list.iterator();

        while (iterator.hasNext()){
            Integer next = iterator.next();
            if (next == 111){
                iterator.remove();
            }
        }

        System.out.println(list);

    }
}
