package com.lc.day15.set05;

import java.util.Objects;
import java.util.Random;

/**
 * ClassName: Person
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/11 11:43
 * @Version 1.0
 */
public class Person {

    String name;
    int age;

    public Person(String name, int age) {
        this.name = name;
        this.age = age;
    }

    @Override
    public boolean equals(Object object) {
        Person p = (Person) object;
        boolean result = this.name.equals(p.name);
        result = result && (this.age == p.age);
        return result;
    }


    /*
        总结：
            添加 返回是否返回相同的hashcode 判断是否调用equals。
            返回的hashcode 相同调用equals 否则不调用,直接添加
                不同的hashcode 不是相同对象。

            相同 equals
                相同的hashcode 对象 可能相同的。比较内容。equals 返回true 相同 返回 false 不相同。
     */
    @Override
    public int hashCode() {
        //return new Random().nextInt();
        return 1;
    }

    @Override
    public String toString() {
        return "Person{" +
                "name='" + name + '\'' +
                ", age=" + age +
                '}';
    }
}
