package com.lc.day16.coll06;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * ClassName: Test
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/12 11:45
 * @Version 1.0
 */
public class Test2 {
    public static void main(String[] args) {
        /*
        **复制、替换**
        - void copy(List dest,List src)：将src中的内容复制到dest中
        - boolean replaceAll(List list，Object oldVal，Object newVal)：使用新值替换 List 对象的所有旧值
        - 提供了多个unmodifiableXxx()方法，该方法返回指定 Xxx的不可修改的视图。
        **添加**
        - boolean addAll(Collection  c,T... elements)将所有指定元素添加到指定 collection 中。
         */

        List<Integer> integers = List.of(4, 2, 324, 234, 25, 34, 65, 367);
        ArrayList<Integer> list = new ArrayList<>(integers);

        ArrayList<Integer> dest = new ArrayList<>(integers);

        //赋值
        Collections.copy(dest,list);

        System.out.println(dest);

        // 替换
        Collections.replaceAll(list,234,2345);
        System.out.println(list);


        //addAll
        boolean b = Collections.addAll(list, 1111, 2222, 3333, 4444);
        System.out.println(b);

        System.out.println(list);
    }
}
