package com.lc.day16.homework;

import java.util.*;

/**
 * ClassName: Test01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/15 9:12
 * @Version 1.0
 */
public class Test01 {
    /*
    1. 生成牌：生成54张扑克牌。使用LinkedHashMap，完成一个数字与字符串纸牌的对应关系
    2. 洗牌：对54张牌进行随机排序。
    3. 发牌：三个玩家参与游戏并交替摸牌，最后三张留作底牌。使用ArrayList存储各个玩家及底牌的牌。
    4. 看牌：查看三人各自手中的牌（按照牌的大小排序）、底牌
     */
    public static void main(String[] args) {
        //存储数字
        String[] nums = { "3", "4", "5", "6", "7", "8", "9", "10", "J", "Q", "K", "A", "2" };
        //存储花色
        String[] colors = { "♦", "♣", "♥", "♠" };
        //存储牌
        LinkedHashMap<Integer, String> cards = new LinkedHashMap<>();
        //索引
        int index = 0;
        //ArrayList
        List<Integer> list = new ArrayList<>();

        for (String num : nums) {
            for (String color : colors) {
                cards.put(index, color + num);
                list.add(index);
                index++;
            }
        }
        //大王  小王
        cards.put(index, "小王");
        list.add(index);
        list.add(++index);
        cards.put(index, "大王");
        //洗牌
        Collections.shuffle(list);
        //玩家
        TreeMap<Integer, String> paly1 = new TreeMap<>();
        TreeMap<Integer, String> paly2 = new TreeMap<>();
        TreeMap<Integer, String> paly3 = new TreeMap<>();

        List<String> dipai = new ArrayList<>();
        dipai.add( cards.get(list.get(0)) );
        dipai.add( cards.get(list.get(1)));
        dipai.add( cards.get(list.get(2)));

        //发牌
        for (int i = 3; i < list.size(); i++) {
            if(i % 3 == 0){
                paly1.put(list.get(i),cards.get(list.get(i)));
            }else if(i % 3 == 1){
                paly2.put(list.get(i),cards.get(list.get(i)));
            }else if (i % 3 == 2){
                paly3.put(list.get(i),cards.get(list.get(i)));
            }
        }

        //看牌
        lookPoker("玩家1",paly1);
        lookPoker("玩家2",paly2);
        lookPoker("玩家3",paly3);
        //底牌
        System.out.println("底牌:" + dipai);

    }

    private static void lookPoker(String 玩家1, TreeMap<Integer, String> paly1) {
        System.out.println(玩家1 + ":" + paly1.values());
    }


}
