package com.lc.homework.day17.thread3;

/**
 * ClassName: Test
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/15 11:48
 * @Version 1.0
 */
public class Test2 {

    public static void main(String[] args) throws InterruptedException {

        /*
        * public void run() :此线程要执行的任务在此处定义代码。
        * public void start() :导致此线程开始执行; Java虚拟机调用此线程的run方法。
        * public String getName() :获取当前线程名称。
        * public void setName(String name)：设置该线程名称。
        * public static Thread currentThread() :返回对当前正在执行的线程对象的引用。在Thread子类中就是this，通常用于主线程和Runnable实现类
        * public static void sleep(long millis) :使当前正在执行的线程以指定的毫秒数暂停（暂时停止执行）。
        * public final boolean isAlive()：测试线程是否处于活动状态。如果线程已经启动且尚未终止，则为活动状态。
        * void join() ：等待该线程终止。 插队
          void join(long millis) ：等待该线程终止的时间最长为 millis 毫秒。如果millis时间到，将不再等待。
          void join(long millis, int nanos) ：等待该线程终止的时间最长为 millis 毫秒 + nanos 纳秒。

         */

        Thread thread = new Thread(){
            @Override
            public void run() {
                try {
                    Thread.sleep(5000);
                } catch (InterruptedException e) {
                    throw new RuntimeException(e);
                }
                System.out.println(Thread.currentThread().getName());
            }
        };
        thread.setName("线程1");

//        thread.start();

        Thread thread1 = new Thread() {
            @Override
            public void run() {

            }
        };

//        thread1.start();

        thread1.join();
        boolean alive = thread1.isAlive();
        System.out.println(alive);


        //主线程
        Thread thread2 = new Thread() {
            @Override
            public void run() {
                for (int i = 0; i < 10000; i++) {
                    System.out.println("thread2");
                }

            }
        };
        Thread thread3 = new Thread() {
            @Override
            public void run() {
                try {
                    thread2.join(1,1);
                } catch (InterruptedException e) {
                    throw new RuntimeException(e);
                }
                System.out.println("thread3");
            }
        };
        Thread thread4 = new Thread() {
            @Override
            public void run() {
                try {
                    thread3.join();
                } catch (InterruptedException e) {
                    throw new RuntimeException(e);
                }
                System.out.println("thread4");
            }
        };

        //控制 t1 ，t2 ，t3 线程的执行顺序

        thread2.start();
        thread3.start();
        thread4.start();


    }

}
