package com.lc.homework.day17.thread7;

import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

/**
 * ClassName: Test
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/15 16:41
 * @Version 1.0
 */
public class Test {
    public static void main(String[] args) {
        String s1 = new String("s1");
        String s2 = new String("s2");

        new Thread(){
            @Override
            public void run() {
                while (true){
                    synchronized (s1){
                        System.out.println("Thread1 get s1 lock");
                        try {
                            Thread.sleep(100);
                        } catch (InterruptedException e) {
                            e.printStackTrace();
                        }
                        synchronized (s2){
                            System.out.println("Thread1 get s2 lock");
                        }
                    }
                }
            }
        }.start();

        new Thread(){
            @Override
            public void run() {
                while (true){
                    synchronized (s2){
                        System.out.println("Thread1 get s2 lock");
                        try {
                            Thread.sleep(100);
                        } catch (InterruptedException e) {
                            e.printStackTrace();
                        }
                        synchronized (s1){
                            System.out.println("Thread1 get s1 lock");
                        }
                    }
                }
            }
        }.start();


        ExecutorService executorService = Executors.newFixedThreadPool(10);


    }
}
