package com.lc.day18.file04;

import java.io.File;
import java.io.IOException;
import java.util.Date;

/**
 * ClassName: Test3
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/16 14:51
 * @Version 1.0
 */
public class Test3 {
    public static void main(String[] args) throws IOException {
        //C:\Users\erga\Desktop
        File file = new File("C:\\Users\\erga\\Desktop\\","file");
        //创建文件夹
        boolean mkdir = file.mkdir();
        System.out.println(mkdir);

        //在里面创建 三个文件 a.txt b.txt c.txt
        File filea = new File(file,"a.txt");
        boolean newFilea = filea.createNewFile();
        System.out.println(newFilea);

        File fileb = new File(file,"b.txt");
        fileb.createNewFile();
        File filec = new File(file,"c.txt");
        filec.createNewFile();

        //删除 a.txt
        filea.delete();

        //修改 b.txt 为 bbb.txt
        fileb.renameTo(new File(file,"bbb.txt"));

        //获取c.txt的 最后修改时间
        System.out.println(new Date(filec.lastModified()));

        File fileup = new File(file,"upload");
        fileup.mkdir();

        //在file  创建 /a/b/c 文件夹
        File fileabc = new File(file,"\\a\\b\\c");
        fileabc.mkdirs();

        //判断 file中是否有d.txt 如果没有创建
        File filed = new File(file,"d.txt");
        if (!filed.exists()){
            filed.createNewFile();
        }
    }
}
