package com.lc.day18.thread01;

/**
 * ClassName: PrintNumber
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/16 9:34
 * @Version 1.0
 */
public class PrintNumber implements Runnable{
    @Override
    public void run() {

        while (true){
            try {
                Thread.sleep(1000);
            } catch (InterruptedException e) {
                throw new RuntimeException(e);
            }
            //线程1 获取到锁  线程2等待
            //同步代码块
            synchronized (this){
                //唤醒
                notify();
                //执行业务逻辑
                System.out.println(Thread.currentThread().getName()+"线程执行");
                //等待
                try {
                    wait(); //线程1 释放锁
                } catch (InterruptedException e) {
                    throw new RuntimeException(e);
                }
            }
        }

    }
}
