package com.lc.day18.thread03;

import java.util.concurrent.Callable;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.FutureTask;

/**
 * ClassName: Test
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/16 11:39
 * @Version 1.0
 */
public class Test {
    public static void main(String[] args) throws ExecutionException, InterruptedException {

        //Callable 对象
        Callable<Integer> callable = new MyCallable();

        //FutureTask对象 传入 callable
        FutureTask futureTask = new FutureTask(callable);

        //通过线程 执行futureTask
        Thread thread = new Thread(futureTask);
        thread.start();
        //获取结果
        Object o = futureTask.get();

        System.out.println(o);


        FutureTask future = new FutureTask(new Callable() {
            @Override
            public Object call() throws Exception {
                return 1000;
            }
        });

        new Thread(future).start();

        Object o1 = future.get();
        System.out.println(o1);

    }
}
