package com.day19.io05;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.FileReader;
import java.io.FileWriter;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;

/**
 * ClassName: Test02
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/17 15:00
 * @Version 1.0
 */
public class Test02 {
    public static void main(String[] args) throws Exception {
        BufferedReader br = new BufferedReader(new FileReader("day19\\file\\b.txt"));
        BufferedWriter bw = new BufferedWriter(new FileWriter("day19\\file\\出师表.txt"));

        //集合
        List<String> list = new ArrayList<>();

        String str = null;
        while (  (str = br.readLine() ) != null   ){
            list.add(str);
        }

        //排序
        Collections.sort(list,new Comparator<String>(){
            @Override
            public int compare(String o1, String o2) {
                return o1.charAt(0) - o2.charAt(0);
            }
        });

        //输出
        for (String s : list) {
            bw.write(s);
            bw.newLine();

        }

        bw.close();
        br.close();

    }
}
