package com.lc.day21.lambda02;

import org.junit.Test;

import java.io.File;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.function.BiPredicate;
import java.util.function.Consumer;
import java.util.function.Supplier;
import java.util.function.UnaryOperator;

/**
 * ClassName: Test01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/19 10:48
 * @Version 1.0
 */
public class Test01 {

    @Test
    public void test01(){
        Consumer<String> consumer = new Consumer<>() {
            @Override
            public void accept(String s) {

            }
        };


        //遍历
        List<String> list = Arrays.asList("java","c","python","c++","VB","C#");

        //消费型
        list.forEach( s -> System.out.println(s));

        //声明
        Consumer<String> consumer1 = s -> System.out.println(s);

        list.forEach(consumer1);
    }


    @Test
    public void test02(){

        Supplier<Integer> supplier = () -> (int) (Math.random()*100);

        //提供
        Integer i = supplier.get();
        System.out.println(i);

    }


    @Test
    public void test03(){

        BiPredicate<String,Integer> flag = (s,i) -> Integer.parseInt(s) == i;

        boolean test = flag.test("1", 2);
        System.out.println(test);

    }



    @Test
    public void test04(){
        ArrayList<String> list = new ArrayList<>();
        list.add("hello");
        list.add("java");
        list.add("world");
        list.add("haha");

        list.replaceAll( s -> s.toUpperCase());

        list.forEach(s-> System.out.println(s));

    }

    @Test
    public void test05(){
        int math1 = math((a, b) -> a + b, 1, 2);
        System.out.println(math1);


        int math2 = math((a, b) -> a * b, 1, 2);
        System.out.println(math2);

        int math3 = math((a, b) -> a*a + b * b, 1, 2);
        System.out.println(math3);
    }


    public int math( MathFuntion m , int a , int b){
        return m.calculate(a,b);
    }

}
