package com.lc.day21.lambda03;

import java.util.ArrayList;
import java.util.List;
import java.util.function.Consumer;
import java.util.function.Predicate;

/**
 * ClassName: EmpManager
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/19 11:37
 * @Version 1.0
 */
public class EmpManager {

    public List<Employee> list = new ArrayList<>();

    public void add(Employee emp){
        list.add(emp);
    }

    public List<Employee> get(Predicate<Employee> p){
        //lsit
        List<Employee> employeeList = new ArrayList<>();

        //for 循环集合内容
        for (Employee employee : list) {
            //符合条件添加
            boolean test = p.test(employee);
            if (test){
                employeeList.add(employee);
            }
        }
        return employeeList;
    }

    public void remove(Predicate<Employee> p){

        //for 循环集合内容
        for (Employee employee : list) {
            //符合条件删除
            boolean test = p.test(employee);
            if (test){
                list.remove(employee);
            }
        }
    }

    public void update(Consumer<Employee> c ){
        for (Employee employee : list) {
            //执行c指定的操作
            c.accept(employee);
        }
    }

}
