package com.lc.day21.stream04;

import org.junit.Test;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Set;
import java.util.stream.Collectors;
import java.util.stream.IntStream;
import java.util.stream.Stream;

/**
 * ClassName: Test01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/19 13:47
 * @Version 1.0
 */
public class Test02 {

    @Test
    public void test01(){

        int[] ints = {1, 2, 3, 4, 5};

        // 1. 创建流
        IntStream stream = Arrays.stream(ints);
        // 2 终止输出
        stream.forEach(System.out::println);

    }


    @Test
    public void test02(){
        //Stream.of
        Stream<Integer> integerStream = Stream.of(1, 2, 3, 4, 5, 65, 7, 78, 8);

        //终止操作
        Set<Integer> collect = integerStream.filter(e -> e > 20).collect(Collectors.toSet());

        System.out.println(collect);
    }

    @Test
    public void test03(){
        //无限流
        //Stream.generate( ()->Math.random() ).forEach(System.out::println);

        //iterate(final T seed, final UnaryOperator<T> f)

        //seed 种子 0，
        // UnaryOperator
        Stream.iterate(1,e -> e + 2).limit(10).forEach(System.out::println);
    }

}
