package com.lc.day21.stream05;

import org.junit.Test;

import java.util.Comparator;
import java.util.function.Consumer;
import java.util.function.Function;
import java.util.function.Supplier;
import java.util.stream.Stream;

/**
 * ClassName: Test01
 *
 * @Author 爱扣钉-陈晨
 * @Create 2024/1/19 16:05
 * @Version 1.0
 */
public class Test02 {
    @Test
    public void test01(){

        /*
        当Lambda表达式是创建一个对象，并且满足Lambda表达式形参，
        正好是给创建这个对象的构造器的实参列表，就可以使用构造器引用。
        格式：`类名::new`
         */
        Supplier<Person> supplier = () -> new Person();

        // T get();
        // new Person()
        Supplier<Person> supplier1 = Person::new;

    }

    @Test
    public void test02(){
        /*
        当Lambda表达式是创建一个数组对象，
        并且满足Lambda表达式形参，正好是给创建这个数组对象的长度，就可以数组构造引用。

        格式：`数组类型名::new`
         */

        //R apply(T t);
        Function<Integer,String[]> function = i ->  new String[i];

        Function<Integer,String[]> function1 = String[]::new;

        String[] apply = function1.apply(10);

        System.out.println(apply.length);

    }


    @Test
    public void test03(){
        //类型自动推断
        var a = new Thread();
    }

    @Test
    public void test04(){
        String err2 = """ 
                你好
                世界
                """;//开始分隔符后没有行终止符

        String e = "世界" + "\n"+
                "你好";

        System.out.println(e);
    }


    @Test
    public void test05(){
        String text = """

    人最宝贵的东西是生命，生命对人来说只有一次。\

    因此，人的一生应当这样度过：当一个人回首往事时，\

    不因虚度年华而悔恨，也不因碌碌无为而羞愧；\

    这样，在他临死的时候，能够说，\

    我把整个生命和全部精力都献给了人生最宝贵的事业\

    ——为人类的解放而奋斗。

    """;
        System.out.println(text);
    }
}
